=== debian/control ===
Source: ros-kinetic-bondcpp
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-bond, ros-kinetic-catkin, ros-kinetic-cmake-modules (>= 0.3.2), ros-kinetic-roscpp, ros-kinetic-smclib, uuid-dev
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-kinetic-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-bond, ros-kinetic-roscpp, ros-kinetic-smclib, uuid-dev
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.
